﻿using System.Runtime.Serialization;
namespace ProjectBattleship.Exceptions;

public class FileNotFoundException : Exception
{
    public FileNotFoundException(string name) : base($"Файл {name} не существует ") { }
    public FileNotFoundException() : base() { }
    public FileNotFoundException(string name, string message) : base(message) { }
    public FileNotFoundException(string name, string message, Exception exception) :
        base(message, exception)
    { }
    protected FileNotFoundException(SerializationInfo info, StreamingContext
        contex) : base(info, contex) { }
}