﻿using System.Runtime.Serialization;
namespace ProjectBattleship.Exceptions;

public class EmptyFileExeption : Exception
{
    public EmptyFileExeption(string name) : base($"Файл {name} пустой ") { }
    public EmptyFileExeption() : base("В хранилище отсутствуют коллекции для сохранения") { }
    public EmptyFileExeption(string name, string message) : base(message) { }
    public EmptyFileExeption(string name, string message, Exception exception) :
        base(message, exception)
    { }
    protected EmptyFileExeption(SerializationInfo info, StreamingContext
        contex) : base(info, contex) { }
}
