﻿using System.Runtime.Serialization;
namespace ProjectBattleship.Exceptions;

public class FileFormatException : Exception
{
    public FileFormatException() : base() { }
    public FileFormatException(string message) : base(message) { }
    public FileFormatException(string name, Exception exception) :
        base($"Файл {name} имеет неверный формат. Ошибка: {exception.Message}", exception)
    { }
    protected FileFormatException(SerializationInfo info, StreamingContext
        contex) : base(info, contex) { }
}